=== debian/changelog ===
hyprlang (0.5.1-1) unstable; urgency=medium

  [ Alan M Varghese ]
  * Merge changes from Alan M Varghese. (Closes: #1065352)

  [ Mo Zhou ]
  * New upstream version 0.5.1
  * Upload to unstable.

 -- Mo Zhou <lumin@debian.org>  Thu, 25 Apr 2024 13:32:57 -0400

hyprlang (0.5.0-1~exp1) experimental; urgency=medium

  * Initial release.

 -- Mo Zhou <lumin@debian.org>  Thu, 14 Mar 2024 00:13:23 -0400
