=== debian/control ===
Source: hyprlang
Section: libdevel
Homepage: https://github.com/hyprwm/hyprlang/
Priority: optional
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/hyprlang.git
Vcs-Browser: https://salsa.debian.org/debian/hyprlang
Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
Uploaders: Mo Zhou <lumin@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake
Rules-Requires-Root: no

Package: libhyprlang-dev
Architecture: any
Depends: ${misc:Depends}, libhyprlang2 (= ${binary:Version})
Description: fast and user-friendly configuration language
 The hypr configuration language is an extremely efficient, yet easy to
 work with, configuration language for linux applications.
 .
 It's user-friendly, easy to grasp, and easy to implement.
 .
 This package contains development files.

Package: libhyprlang2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: fast and user-friendly configuration language
 The hypr configuration language is an extremely efficient, yet easy to
 work with, configuration language for linux applications.
 .
 It's user-friendly, easy to grasp, and easy to implement.
 .
 This package contains the shared object.
