## hyprlang 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.19)
 
-set(HYPRLANG_VERSION "0.5.1")
+set(HYPRLANG_VERSION "0.5.2")
 
 project(hyprlang
     VERSION ${HYPRLANG_VERSION}
@@ -44,6 +44,9 @@
     # for std::expected.
     # probably evil. Arch's clang is very outdated tho...
     target_compile_options(hyprlang PUBLIC -std=gnu++2b -D__cpp_concepts=202002L -Wno-macro-redefined)
+    add_compile_options(-stdlib=libc++)
+    add_link_options(-stdlib=libc++ -lc++abi)
+    message(STATUS "Using clang++ to compile hyprlang")
 endif()
 
 install(TARGETS hyprlang)
