=== debian/changelog ===
hyprlang (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Mon, 17 Jun 2024 08:52:44 +0000
