=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: hyprlang
-Section: libdevel
+Section: libs
 Homepage: https://github.com/hyprwm/hyprlang/
 Priority: optional
 Standards-Version: 4.6.2
@@ -12,11 +12,12 @@
 Rules-Requires-Root: no
 
 Package: libhyprlang-dev
+Section: libdevel
 Architecture: any
 Depends: ${misc:Depends}, libhyprlang2 (= ${binary:Version})
-Description: fast and user-friendly configuration language
+Description: Fast and user-friendly configuration language (dev files)
  The hypr configuration language is an extremely efficient, yet easy to
- work with, configuration language for linux applications.
+ work with, configuration language for Linux applications.
  .
  It's user-friendly, easy to grasp, and easy to implement.
  .
@@ -25,9 +26,9 @@
 Package: libhyprlang2
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: fast and user-friendly configuration language
+Description: Fast and user-friendly configuration language (library files)
  The hypr configuration language is an extremely efficient, yet easy to
- work with, configuration language for linux applications.
+ work with, configuration language for Linux applications.
  .
  It's user-friendly, easy to grasp, and easy to implement.
  .
