=== debian/changelog ===
hyprlang (0.6.0-1build1) questing; urgency=medium

  * No-change rebuild for libhyprutils6.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 07 Aug 2025 12:10:00 +0000

hyprlang (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 02 Mar 2025 07:01:58 +0000

hyprlang (0.5.2-2) unstable; urgency=medium

  * Update to new standards version 4.7.0

 -- Alan M Varghese (NyxTrail) <alan@digistorm.in>  Sun, 22 Sep 2024 08:16:18 +0000
