=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: libs
 Homepage: https://github.com/hyprwm/hyprlang/
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/hyprlang.git
 Vcs-Browser: https://salsa.debian.org/debian/hyprlang
 Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
 Uploaders: Mo Zhou <lumin@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               cmake
+               cmake,
+               libhyprutils-dev (>= 0.1.1),
+               pkgconf
 Rules-Requires-Root: no
 
 Package: libhyprlang-dev
