## hyprlang 0.6.4

=== debian/changelog ===
hyprlang (0.6.4-0.1) unstable; urgency=medium

  * Non-maintainer upload
  [ Carl Keinath ]
  * add gbp conf
  * simplified watch file
  * cleanup d/u/metadata
  * added ci config
  * cleanup d/rules
  * folded package deps in d/control
  * updated copyright
  * removed trailing whitespaces

  [ Chow Loong Jin ]
  * New upstream version 0.6.4 (Closes: #1106521)

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 29 Sep 2025 11:36:27 +0800
