=== debian/control ===
--- 
+++ 
@@ -16,7 +16,9 @@
 Package: libhyprlang-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libhyprlang2 (= ${binary:Version})
+Depends:
+ ${misc:Depends},
+ libhyprlang2 (= ${binary:Version}),
 Description: Fast and user-friendly configuration language (dev files)
  The hypr configuration language is an extremely efficient, yet easy to
  work with, configuration language for Linux applications.
@@ -27,7 +29,9 @@
 
 Package: libhyprlang2
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Fast and user-friendly configuration language (library files)
  The hypr configuration language is an extremely efficient, yet easy to
  work with, configuration language for Linux applications.
