## hyprlang 0.6.7

=== debian/changelog ===
hyprlang (0.6.7-1) unstable; urgency=medium

  * Salvage package (Closes: #1120926)
  * New upstream version 0.6.7 (Closes: #1120720)
  * d/control:
    - Update maintainer to Debian Hyprland team
    - Make indentation of multi-line fields consistent

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 10 Dec 2025 11:18:42 +0800
