=== debian/control ===
--- 
+++ 
@@ -5,12 +5,16 @@
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/hyprlang.git
 Vcs-Browser: https://salsa.debian.org/debian/hyprlang
-Maintainer: Alan M Varghese (NyxTrail) <alan@digistorm.in>
-Uploaders: Mo Zhou <lumin@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               libhyprutils-dev (>= 0.1.1),
-               pkgconf
+Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
+Uploaders:
+ Alan M Varghese (NyxTrail) <alan@digistorm.in>,
+ Carl Keinath <carl.keinath@gmail.com>,
+ Chow Loong Jin <hyperair@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ libhyprutils-dev (>= 0.1.1),
+ pkgconf
 Rules-Requires-Root: no
 
 Package: libhyprlang-dev
