## hyprlang 0.6.8

=== debian/changelog ===
hyprlang (0.6.8-2) unstable; urgency=medium

  * add upstream-tests to autopkgtest-suite
  * bump Standards-Version to 4.7.3
  * d/control:
    - remove obsolete Priority:
    - set minimum required version of hyprutils to >= 0.7.1

 -- Carl Keinath <carl.keinath@gmail.com>  Tue, 06 Jan 2026 11:57:02 +0800

hyprlang (0.6.8-1) unstable; urgency=medium

  [ Carl Keinath ]
  * d/control: updated Vcs-* fields
  * d/control: remove Rules-Requires-Root: no

  [ Chow Loong Jin ]
  * New upstream version 0.6.8

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 06 Jan 2026 11:21:52 +0800
