=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: hyprlang
 Section: libs
 Homepage: https://github.com/hyprwm/hyprlang/
-Priority: optional
-Standards-Version: 4.7.2
-Vcs-Git: https://salsa.debian.org/debian/hyprlang.git
-Vcs-Browser: https://salsa.debian.org/debian/hyprlang
+Standards-Version: 4.7.3
+Vcs-Git: https://salsa.debian.org/hyprland-team/hyprlang.git
+Vcs-Browser: https://salsa.debian.org/hyprland-team/hyprlang
 Maintainer: Debian Hyprland Maintainers <team+hyprland@tracker.debian.org>
 Uploaders:
  Alan M Varghese (NyxTrail) <alan@digistorm.in>,
@@ -13,9 +12,8 @@
 Build-Depends:
  debhelper-compat (= 13),
  cmake,
- libhyprutils-dev (>= 0.1.1),
+ libhyprutils-dev (>= 0.7.1),
  pkgconf
-Rules-Requires-Root: no
 
 Package: libhyprlang-dev
 Section: libdevel
